﻿@charset "UTF-8";
/* --------------------------------------------------------------------
	表示幅：固定
	表示順：左メニュー・メインコンテンツ・[枠外]右メニュー
-------------------------------------------------------------------- */
div.wrapper_ {
	margin: 0 auto;
	text-align:left;
	height: fit-content;
}
div.container_ {
	position: relative;
}
.wrapper_ > .container_{
	display: flex;
	gap: 0 var(--g-layout-gap-x);
	align-items: stretch;
	width: var(--g-layout-width-lg);
	margin: 0 auto;
	min-height: calc(100svh - var(--g-header-height) - var(--g-footer-height));
}
.wrapper_ > .container_[data-logout],
div.wrapper_wrapper_:has(#footer[data-logout]) div.wrapper_,
div.wrapper_wrapper_:has(#footer[data-logout]) div.wrapper_:has(> .container_) > .container_{
	min-height:calc(100svh - var(--g-header-height) - var(--g-footer-height-logout));
}
div.contents_ {
	display: flex;
	gap: 0 var(--g-layout-gap-x);
	margin: 0 auto;
	order: 1;
}
/* 左メニュー */
div.leftmenuframe_ {
	width: 250px;
	order: 1;
	flex-shrink: 0;
	display: flex;
	flex-direction: column;
	gap: 20px 0;
}

/* [枠外]右メニュー */
div.rightmenuframe_ {
	width: 250px;
	order: 3;
}
/* [枠内]右メニュー */
div.right_goodsvariation_frame_ {
	width: 250px;
	overflow: visible;
}

/* メインフレーム */
div.container_ div.contents_, 
div.container_ div.mainframe_, 
div.container_ div.mainframe_ .event_ .goods_ { /* 左メニューなし */
	/*width: var(--g-layout-width-lg);*/
}
div.container_ div.mainframe_{
	width:670px;
	order: 2;
}
body div.container_.pg_goods_ .rightmenuframe_{
	width: 0;
	position: relative;
}
/*div.container_ div.contents_:has(.leftmenuframe_){
	display: flex;
	align-items: stretch;
	gap: 0 var(--g-layout-gap-x);
	width: calc(250px + var(--g-layout-gap-x) + 670px);
}*/
/*
div.container_ div.contents_:has(.leftmenuframe_) div.mainframe_, 
div.container_ div.contents_:has(.leftmenuframe_) div.mainframe_ .event_ .goods_ {
	width:670px;
	order: 2;
}*/
div.container_ div.contents_ div.mainframe_ div.goodsvariationveiw_frame_{
	width: var(--g-layout-width-sm);
}
div.single_mainframe_ {
	padding-top: 40px;
}
div.single_mainframe_:has(.navitopicpath_){
	padding-top: 0;
}
div.col1_ {
	width: var(--g-layout-width-lg);
	margin: 0 auto;
}
body div.container_.pg_topic_topic_ div.mainframe_,
body div.container_.pg_topic_detaillist_ div.mainframe_{
	width: var(--g-layout-width-lg);
}
div.container_.pg_goods_ div.contents_,
div.container_.pg_goods_search_ div.contents_,
div.container_.pg_genre_ div.contents_,
div.container_.pg_category_ div.contents_,
div.container_.pg_event_ div.contents_{
	display: flex;
	align-items: stretch;
	gap: 0 var(--g-layout-gap-x);
	width: calc(250px + var(--g-layout-gap-x) + 935px);
}
body div.container_.pg_goods_ div.mainframe_,
body div.container_.pg_goods_search_ div.mainframe_,
body div.container_.pg_genre_ div.mainframe_,
body div.container_.pg_category_ div.mainframe_,
body div.container_.pg_event_ div.mainframe_{
	width: 935px;
}